// Deobjectivizer - The program that makes C bindings to ObjC frameworks
// Copyright (C) 2010 Charles E. Davis

// This program is free software...

// DeobjectivizerInvocation.h - Defines the DeobjectivizerInvocation class,
//                              which extends the clang::CompilerInvocation
//                              class with additional parameters specific
//                              to Deobjectivizer.

#ifndef DEOBJECTIVIZER_INVOCATION_H
#define DEOBJECTIVIZER_INVOCATION_H 1

#include <clang/Frontend/CompilerInvocation.h>

namespace clang { class CompilerInstance; }

struct DeobjectivizerOptions {
    std::string FrameworkName;
};

class DeobjectivizerInvocation: public clang::CompilerInvocation {
    DeobjectivizerOptions DeobjOpts;

public:
    void setFrameworkName(const std::string &fwk_name, clang::Diagnostic& diag);
    const std::string &getFrameworkName(void) const {
        return DeobjOpts.FrameworkName;
    }
};

#endif // DEOBJECTIVIZER_INVOCATION_H

